Package com.macrofocus.high_d.mds.spring

# Interface SpringModel

All Superinterfaces:
  `MDSModel`

All Known Implementing Classes:
  `SimpleSpringModel`

public interface SpringModel extends MDSModel

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addForce(int row, double x, double y, double z)`
  `double`
  `getForceX(int row)`
  `double`
  `getForceY(int row)`
  `double`
  `getForceZ(int row)`
  `double`
  `getVelocityX(int row)`
  `double`
  `getVelocityY(int row)`
  `double`
  `getVelocityZ(int row)`
  `double`
  `getW(int row)`
  `double`
  `getZ(int row)`
  `void`
  `setForce(int row, double x, double y, double z)`
  `void`
  `setForceY(int row, double y)`
  `void`
  `setForceZ(int row, double z)`
  `void`
  `setPosition(int row, double x, double y, double z)`
  `void`
  `setPosition(int row, double x, double y, double z, double w)`
  `void`
  `setVelocity(int row, double x, double y, double z)`

  ### Methods inherited from interface com.macrofocus.high_d.mds.MDSModel

  `getColumnCount, getRowCount, getX, getY, isAvailable`

- ## Method Details

  - ### setPosition

    void setPosition(int row, double x, double y, double z)

  - ### setPosition

    void setPosition(int row, double x, double y, double z, double w)

  - ### setVelocity

    void setVelocity(int row, double x, double y, double z)

  - ### setForce

    void setForce(int row, double x, double y, double z)

  - ### setForceY

    void setForceY(int row, double y)

  - ### setForceZ

    void setForceZ(int row, double z)

  - ### addForce

    void addForce(int row, double x, double y, double z)

  - ### getZ

    double getZ(int row)

  - ### getW

    double getW(int row)

  - ### getVelocityX

    double getVelocityX(int row)

  - ### getVelocityY

    double getVelocityY(int row)

  - ### getVelocityZ

    double getVelocityZ(int row)

  - ### getForceX

    double getForceX(int row)

  - ### getForceY

    double getForceY(int row)

  - ### getForceZ

    double getForceZ(int row)